FLANG

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Fortran::evaluate::value::Complex< REAL_TYPE > Class Template Reference

## Public Types
using | Part = REAL_TYPE

## Public Member Functions
constexpr | Complex (const Complex &)=default
constexpr | Complex (const Part &r, const Part &i)
constexpr | Complex (const Part &r)
constexpr Complex & | operator= (const Complex &)=default
constexpr Complex & | operator= (Complex &&)=default
constexpr bool | operator== (const Complex &that) const
constexpr const Part & | REAL () const
constexpr const Part & | AIMAG () const
constexpr Complex | CONJG () const
constexpr Complex | Negate () const
constexpr bool | Equals (const Complex &that) const
constexpr bool | IsZero () const
constexpr bool | IsInfinite () const
constexpr bool | IsNotANumber () const
constexpr bool | IsSignalingNaN () const
ValueWithRealFlags< Complex > | Add (const Complex &, Rounding rounding=defaultRounding) const
ValueWithRealFlags< Complex > | Subtract (const Complex &, Rounding rounding=defaultRounding) const
ValueWithRealFlags< Complex > | Multiply (const Complex &, Rounding rounding=defaultRounding) const
ValueWithRealFlags< Complex > | Divide (const Complex &, Rounding rounding=defaultRounding) const
constexpr Complex | FlushSubnormalToZero () const
std::string | DumpHexadecimal () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &, int kind) const

## Static Public Member Functions
template<typename INT >
static ValueWithRealFlags< Complex > | FromInteger (const INT &n, Rounding rounding=defaultRounding)
static constexpr Complex | NotANumber ()

## Static Public Attributes
static constexpr int | bits {2 * Part::bits}

The documentation for this class was generated from the following files:

- include/flang/Evaluate/complex.h
- lib/Evaluate/complex.cpp